FFe: Add support for separate background on lock screen

Bug #1219188 reported by Tim Lunn
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu GNOME
Fix Released
Undecided
Tim Lunn
gnome-control-center (Ubuntu)
Fix Released
Undecided
Unassigned
gnome-shell (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

GNOME 3.10 provides support for a different background image on the lock screen than what is displayed on the desktop. We want to use this for the default ubuntu GNOME settings in raring. So we can can have a different background for the desktop background and screenshield in gnome-shell.

It requires backporting a couple of git patches from 3.10 for gnome-shell and gnome-control-center, but nothing too invasive and nothing that affects the standard Ubuntu. Background panel is not used by Ubuntu.

ProblemType: BugDistroRelease: Ubuntu 13.10
Package: gnome-shell 3.9.90-0ubuntu1~saucy2 [origin: LP-PPA-gnome3-team-gnome3-staging]
ProcVersionSignature: Ubuntu 3.11.0-4.9-generic 3.11.0-rc7
Uname: Linux 3.11.0-4-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.12.1-0ubuntu3
Architecture: amd64
Date: Sat Aug 31 18:46:24 2013
DisplayManager: gdm
GsettingsChanges:
 b'org.gnome.desktop.interface' b'clock-format' b"'12h'"
 b'org.gnome.desktop.interface' b'clock-show-date' b'true'
 b'org.gnome.desktop.interface' b'gtk-im-module' b"'gtk-im-context-simple'"
 b'org.gnome.desktop.interface' b'icon-theme' b"'Humanity'"
InstallationDate: Installed on 2012-09-23 (342 days ago)
InstallationMedia: Ubuntu GNOME Remix 12.10 "Quantal Quetzal" - Alpha amd64(20120922)
MarkForUpload: TrueSourcePackage: gnome-shell
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Revision history for this message
Tim Lunn (darkxst) wrote :
Changed in ubuntu-gnome:
status: New → In Progress
assignee: nobody → Tim (darkxst)
Changed in gnome-shell (Ubuntu):
status: New → In Progress
summary: - Add support for seperate background on lock screen
+ Add support for separate background on lock screen
Tim Lunn (darkxst)
summary: - Add support for separate background on lock screen
+ FFe: Add support for separate background on lock screen
Changed in gnome-shell (Ubuntu):
status: In Progress → New
description: updated
Revision history for this message
Scott Kitterman (kitterman) wrote :

Someone from ubuntu-desktop should review the g-c-c change. If they're happy, this should be fine.

Revision history for this message
Iain Lane (laney) wrote :

Seems OK. Shouldn't affect Ubuntu Desktop, indeed. Go ahead.

Changed in gnome-control-center (Ubuntu):
status: New → Confirmed
Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.8.4-0ubuntu2

---------------
gnome-shell (3.8.4-0ubuntu2) saucy; urgency=low

  * debian/patches:
    - git_fix_calendar_wrapping.patch: fixes wrapping of long calender events
    - git_background_schema.patch, git_use_screensaver_bg.patch: git patches
      to allow using seperate bg for lock screen (LP: #1219188)
 -- Tim Lunn <email address hidden> Sun, 08 Sep 2013 07:07:20 +1000

Changed in gnome-shell (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.6.3-0ubuntu34

---------------
gnome-control-center (1:3.6.3-0ubuntu34) saucy; urgency=low

  * debian/patches:
    - git-background-remove-unused-widget.patch
    - git-background-lock-screen.patch: Allow setting a different background
      for the GNOME Shell lock screen (LP: #1219188)
 -- Tim Lunn <email address hidden> Mon, 09 Sep 2013 11:17:34 +1000

Changed in gnome-control-center (Ubuntu):
status: Confirmed → Fix Released
Tim Lunn (darkxst)
Changed in ubuntu-gnome:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers